#!/usr/bin/env bash

set -e

# Minimum versions
CI_CMAKE_VERSION=3.18.0
CI_LIBZMQ_VERSION=v4.0.5
CI_CPPZMQ_VERSION=v4.7.1
CI_OMNIORB_VERSION=4.3.0
CI_LIBJPEG_VERSION=1.5.1
CI_OPENTELEMETRY_VERSION_EARLIEST=v1.11.0

# Something like minimum versions
CI_ABSEIL_VERSION=20230802.1
CI_PROTOBUF_VERSION=v24.3
CI_GRPC_VERSION=v1.58.2
CI_OPENTELEMETRY_VERSION=v1.16.0

# Maximum versions
CI_OMNIORB_VERSION_LATEST=4.3.0

# Exact versions
CI_CODECLIMATE_VERSION=v0.85.22
CI_TANGO_IDL_VERSION=6.0.2
CI_CATCH_VERSION=v3.5.1

# Other constants
CI_CXX_STANDARD=17

export CTEST_PARALLEL_LEVEL=$(nproc)
export CMAKE_BUILD_PARALLEL_LEVEL="${CTEST_PARALLEL_LEVEL}"
export MAKEFLAGS="-j $CTEST_PARALLEL_LEVEL"

export CI_SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
